# pip install "pinecone[grpc]"
from pinecone.grpc import PineconeGRPC as Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
pc.describe_index(name="movie-recommendations")
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' });
await pc.describeIndex('movie-recommendations');
import io.pinecone.clients.Pinecone;
import org.openapitools.db_control.client.model.*;
public class DescribeIndexExample {
public static void main(String[] args) {
Pinecone pc = new Pinecone.Builder("YOURE_API_KEY").build();
IndexModel indexModel = pc.describeIndex("movie-recommendations");
System.out.println(indexModel);
}
}
package main
import (
"context"
"encoding/json"
"fmt"
"log"
"github.com/pinecone-io/go-pinecone/v2/pinecone"
)
func prettifyStruct(obj interface{}) string {
bytes, _ := json.MarshalIndent(obj, "", " ")
return string(bytes)
}
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: "YOUR_API_KEY",
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
idx, err := pc.DescribeIndex(ctx, "movie-recommendations")
if err != nil {
log.Fatalf("Failed to describe index \"%v\": %v", idx.Name, err)
} else {
fmt.Printf("index: %v\n", prettifyStruct(idx))
}
}
using Pinecone;
var pinecone = new PineconeClient("YOUR_API_KEY");
var indexModel = await pinecone.DescribeIndexAsync("docs-example");
Console.WriteLine(indexModel);
PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/indexes/movie-recommendations" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2024-10"
{'dimension': 1536,
'host': 'example-index-4mkljsz.svc.aped-4627-b74a.pinecone.io',
'metric': 'cosine',
'name': 'docs-example',
'spec': {'serverless': {'cloud': 'aws', 'region': 'us-east-1'}},
'status': {'ready': True, 'state': 'Ready'}}
{
"name": "docs-example",
"dimension": 1536,
"metric": "cosine",
"host": "example-index-4mkljsz.svc.aped-4627-b74a.pinecone.io",
"deletionProtection": "disabled",
"tags": { "environment": "development", "example": "tag" },
"spec": { "pod": undefined, "serverless": { "cloud": "aws", "region": "us-east-1" } },
"status": { "ready": true, "state": "Ready" }
}
class IndexModel {
name: example-index
dimension: 1536
metric: cosine
host: example-index-4mkljsz.svc.aped-4627-b74a.pinecone.io
deletionProtection: disabled
spec: class IndexModelSpec {
pod: null
serverless: class ServerlessSpec {
cloud: aws
region: us-east-1
}
}
status: class IndexModelStatus {
ready: true
state: Ready
}
}
index: {
"name": "docs-example",
"dimension": 1536,
"host": "example-index-4mkljsz.svc.aped-4627-b74a.pinecone.io",
"metric": "cosine",
"deletion_protection": "disabled",
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"tags": {
"environment": "development",
"example": "tag"
}
}
{
"name": "docs-example",
"dimension": 1536,
"metric": "cosine",
"host": "example-index-4mkljsz.svc.aped-4627-b74a.pinecone.io",
"deletion_protection": "disabled",
"spec": {
"pod": null,
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
}
}
{
"name": "docs-example",
"metric": "cosine",
"dimension": 1536,
"status": {
"ready": true,
"state": "Ready"
},
"host": "example-index-4mkljsz.svc.aped-4627-b74a.pinecone.io",
"spec": {
"serverless": {
"region": "us-east-1",
"cloud": "aws"
}
},
"deletion_protection": "disabled",
"tags": {
"environment": "development",
"example": "tag"
}
}
Describe an index
Get a description of an index.
# pip install "pinecone[grpc]"
from pinecone.grpc import PineconeGRPC as Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
pc.describe_index(name="movie-recommendations")
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' });
await pc.describeIndex('movie-recommendations');
import io.pinecone.clients.Pinecone;
import org.openapitools.db_control.client.model.*;
public class DescribeIndexExample {
public static void main(String[] args) {
Pinecone pc = new Pinecone.Builder("YOURE_API_KEY").build();
IndexModel indexModel = pc.describeIndex("movie-recommendations");
System.out.println(indexModel);
}
}
package main
import (
"context"
"encoding/json"
"fmt"
"log"
"github.com/pinecone-io/go-pinecone/v2/pinecone"
)
func prettifyStruct(obj interface{}) string {
bytes, _ := json.MarshalIndent(obj, "", " ")
return string(bytes)
}
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: "YOUR_API_KEY",
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
idx, err := pc.DescribeIndex(ctx, "movie-recommendations")
if err != nil {
log.Fatalf("Failed to describe index \"%v\": %v", idx.Name, err)
} else {
fmt.Printf("index: %v\n", prettifyStruct(idx))
}
}
using Pinecone;
var pinecone = new PineconeClient("YOUR_API_KEY");
var indexModel = await pinecone.DescribeIndexAsync("docs-example");
Console.WriteLine(indexModel);
PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/indexes/movie-recommendations" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2024-10"
{'dimension': 1536,
'host': 'example-index-4mkljsz.svc.aped-4627-b74a.pinecone.io',
'metric': 'cosine',
'name': 'docs-example',
'spec': {'serverless': {'cloud': 'aws', 'region': 'us-east-1'}},
'status': {'ready': True, 'state': 'Ready'}}
{
"name": "docs-example",
"dimension": 1536,
"metric": "cosine",
"host": "example-index-4mkljsz.svc.aped-4627-b74a.pinecone.io",
"deletionProtection": "disabled",
"tags": { "environment": "development", "example": "tag" },
"spec": { "pod": undefined, "serverless": { "cloud": "aws", "region": "us-east-1" } },
"status": { "ready": true, "state": "Ready" }
}
class IndexModel {
name: example-index
dimension: 1536
metric: cosine
host: example-index-4mkljsz.svc.aped-4627-b74a.pinecone.io
deletionProtection: disabled
spec: class IndexModelSpec {
pod: null
serverless: class ServerlessSpec {
cloud: aws
region: us-east-1
}
}
status: class IndexModelStatus {
ready: true
state: Ready
}
}
index: {
"name": "docs-example",
"dimension": 1536,
"host": "example-index-4mkljsz.svc.aped-4627-b74a.pinecone.io",
"metric": "cosine",
"deletion_protection": "disabled",
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"tags": {
"environment": "development",
"example": "tag"
}
}
{
"name": "docs-example",
"dimension": 1536,
"metric": "cosine",
"host": "example-index-4mkljsz.svc.aped-4627-b74a.pinecone.io",
"deletion_protection": "disabled",
"spec": {
"pod": null,
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
}
}
{
"name": "docs-example",
"metric": "cosine",
"dimension": 1536,
"status": {
"ready": true,
"state": "Ready"
},
"host": "example-index-4mkljsz.svc.aped-4627-b74a.pinecone.io",
"spec": {
"serverless": {
"region": "us-east-1",
"cloud": "aws"
}
},
"deletion_protection": "disabled",
"tags": {
"environment": "development",
"example": "tag"
}
}
# pip install "pinecone[grpc]"
from pinecone.grpc import PineconeGRPC as Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
pc.describe_index(name="movie-recommendations")
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' });
await pc.describeIndex('movie-recommendations');
import io.pinecone.clients.Pinecone;
import org.openapitools.db_control.client.model.*;
public class DescribeIndexExample {
public static void main(String[] args) {
Pinecone pc = new Pinecone.Builder("YOURE_API_KEY").build();
IndexModel indexModel = pc.describeIndex("movie-recommendations");
System.out.println(indexModel);
}
}
package main
import (
"context"
"encoding/json"
"fmt"
"log"
"github.com/pinecone-io/go-pinecone/v2/pinecone"
)
func prettifyStruct(obj interface{}) string {
bytes, _ := json.MarshalIndent(obj, "", " ")
return string(bytes)
}
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: "YOUR_API_KEY",
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
idx, err := pc.DescribeIndex(ctx, "movie-recommendations")
if err != nil {
log.Fatalf("Failed to describe index \"%v\": %v", idx.Name, err)
} else {
fmt.Printf("index: %v\n", prettifyStruct(idx))
}
}
using Pinecone;
var pinecone = new PineconeClient("YOUR_API_KEY");
var indexModel = await pinecone.DescribeIndexAsync("docs-example");
Console.WriteLine(indexModel);
PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/indexes/movie-recommendations" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2024-10"
{'dimension': 1536,
'host': 'example-index-4mkljsz.svc.aped-4627-b74a.pinecone.io',
'metric': 'cosine',
'name': 'docs-example',
'spec': {'serverless': {'cloud': 'aws', 'region': 'us-east-1'}},
'status': {'ready': True, 'state': 'Ready'}}
{
"name": "docs-example",
"dimension": 1536,
"metric": "cosine",
"host": "example-index-4mkljsz.svc.aped-4627-b74a.pinecone.io",
"deletionProtection": "disabled",
"tags": { "environment": "development", "example": "tag" },
"spec": { "pod": undefined, "serverless": { "cloud": "aws", "region": "us-east-1" } },
"status": { "ready": true, "state": "Ready" }
}
class IndexModel {
name: example-index
dimension: 1536
metric: cosine
host: example-index-4mkljsz.svc.aped-4627-b74a.pinecone.io
deletionProtection: disabled
spec: class IndexModelSpec {
pod: null
serverless: class ServerlessSpec {
cloud: aws
region: us-east-1
}
}
status: class IndexModelStatus {
ready: true
state: Ready
}
}
index: {
"name": "docs-example",
"dimension": 1536,
"host": "example-index-4mkljsz.svc.aped-4627-b74a.pinecone.io",
"metric": "cosine",
"deletion_protection": "disabled",
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"tags": {
"environment": "development",
"example": "tag"
}
}
{
"name": "docs-example",
"dimension": 1536,
"metric": "cosine",
"host": "example-index-4mkljsz.svc.aped-4627-b74a.pinecone.io",
"deletion_protection": "disabled",
"spec": {
"pod": null,
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
}
}
{
"name": "docs-example",
"metric": "cosine",
"dimension": 1536,
"status": {
"ready": true,
"state": "Ready"
},
"host": "example-index-4mkljsz.svc.aped-4627-b74a.pinecone.io",
"spec": {
"serverless": {
"region": "us-east-1",
"cloud": "aws"
}
},
"deletion_protection": "disabled",
"tags": {
"environment": "development",
"example": "tag"
}
}
Authorizations
Path Parameters
The name of the index to be described.
Response
Configuration information and deployment status of the index.
The IndexModel describes the configuration and status of a Pinecone index.
The name of the index. Resource name must be 1-45 characters long, start and end with an alphanumeric character, and consist only of lower case alphanumeric characters or '-'.
1 - 45"example-index"
The dimensions of the vectors to be inserted in the index.
1 <= x <= 200001536
The distance metric to be used for similarity search. You can use 'euclidean', 'cosine', or 'dotproduct'.
cosine, euclidean, dotproduct The URL address where the index is hosted.
"semantic-search-c01b5b5.svc.us-west1-gcp.pinecone.io"
Show child attributes
Show child attributes
{
"pod": {
"environment": "us-east-1-aws",
"metadata_config": {
"indexed": ["genre", "title", "imdb_rating"]
},
"pod_type": "p1.x1",
"pods": 1,
"replicas": 1,
"shards": 1
}
}
Show child attributes
Show child attributes
{
"ready": true,
"state": "ScalingUpPodSize"
}
Whether deletion protection is enabled/disabled for the index.
disabled, enabled Custom user tags added to an index. Keys must be 80 characters or less. Values must be 120 characters or less. Keys must be alphanumeric, '', or '-'. Values must be alphanumeric, ';', '@', '', '-', '.', '+', or ' '. To unset a key, set the value to be an empty string.
Show child attributes
Show child attributes
{ "tag0": "val0", "tag1": "val1" }
Was this page helpful?